
_InitTimer1:

;timer.c,85 :: 		void InitTimer1(){
;timer.c,86 :: 		T1CON         = 0x21;
	MOVLW      33
	MOVWF      T1CON+0
;timer.c,87 :: 		TMR1IF_bit         = 0;
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;timer.c,88 :: 		TMR1H         = 0x3C;
	MOVLW      60
	MOVWF      TMR1H+0
;timer.c,89 :: 		TMR1L         = 0xB0;
	MOVLW      176
	MOVWF      TMR1L+0
;timer.c,90 :: 		TMR1IE_bit         = 1;
	BSF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;timer.c,91 :: 		INTCON         = 0xC0;
	MOVLW      192
	MOVWF      INTCON+0
;timer.c,92 :: 		}
L_end_InitTimer1:
	RETURN
; end of _InitTimer1

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;timer.c,95 :: 		void interrupt(){
;timer.c,96 :: 		if (TMR1IF_bit){
	BTFSS      TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
	GOTO       L_interrupt0
;timer.c,97 :: 		TMR1IF_bit = 0;
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;timer.c,98 :: 		TMR1H         = 0x3C;
	MOVLW      60
	MOVWF      TMR1H+0
;timer.c,99 :: 		TMR1L         = 0xB0;
	MOVLW      176
	MOVWF      TMR1L+0
;timer.c,101 :: 		if(count_flag){                                                         // only count down while flag is set
	MOVF       _count_flag+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt1
;timer.c,102 :: 		fraction--;                                                         // count down
	DECF       _fraction+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _fraction+0
;timer.c,103 :: 		if(fraction | seconds_units | seconds_tens | minutes_units | minutes_tens | hours){  // check for non-zero
	MOVF       _seconds_units+0, 0
	IORWF      _fraction+0, 0
	MOVWF      R0+0
	MOVF       _seconds_tens+0, 0
	IORWF      R0+0, 1
	MOVF       _minutes_units+0, 0
	IORWF      R0+0, 1
	MOVF       _minutes_tens+0, 0
	IORWF      R0+0, 1
	MOVF       _hours+0, 0
	IORWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_interrupt2
;timer.c,104 :: 		if(fraction < 0){                                               // must have wrapped around
	MOVLW      128
	XORWF      _fraction+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt3
;timer.c,105 :: 		fraction = 4;
	MOVLW      4
	MOVWF      _fraction+0
;timer.c,106 :: 		Relay_3 = ~Relay_3;                                         // toggle RA2 every second
	MOVLW
	XORWF      RA2_bit+0, 1
;timer.c,107 :: 		update_flag = 1;                                            // time to display new number
	MOVLW      1
	MOVWF      _update_flag+0
;timer.c,108 :: 		seconds_units--;
	DECF       _seconds_units+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _seconds_units+0
;timer.c,109 :: 		if(seconds_units < 0){                                      // must have wrapped around
	MOVLW      128
	XORWF      _seconds_units+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt4
;timer.c,110 :: 		seconds_units = 9;
	MOVLW      9
	MOVWF      _seconds_units+0
;timer.c,112 :: 		seconds_tens--;
	DECF       _seconds_tens+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _seconds_tens+0
;timer.c,113 :: 		if(seconds_tens < 0){                                   // must have wrapped around
	MOVLW      128
	XORWF      _seconds_tens+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt5
;timer.c,114 :: 		seconds_tens = 5;
	MOVLW      5
	MOVWF      _seconds_tens+0
;timer.c,116 :: 		minutes_units--;
	DECF       _minutes_units+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _minutes_units+0
;timer.c,117 :: 		if(minutes_units < 0){                              // must have wrapped around
	MOVLW      128
	XORWF      _minutes_units+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt6
;timer.c,118 :: 		minutes_units = 9;
	MOVLW      9
	MOVWF      _minutes_units+0
;timer.c,120 :: 		minutes_tens--;
	DECF       _minutes_tens+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      _minutes_tens+0
;timer.c,121 :: 		if(minutes_tens < 0){                           // must have wrapped around
	MOVLW      128
	XORWF      _minutes_tens+0, 0
	MOVWF      R0+0
	MOVLW      128
	XORLW      0
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_interrupt7
;timer.c,122 :: 		minutes_tens = 5;
	MOVLW      5
	MOVWF      _minutes_tens+0
;timer.c,123 :: 		}
L_interrupt7:
;timer.c,124 :: 		}
L_interrupt6:
;timer.c,125 :: 		}
L_interrupt5:
;timer.c,126 :: 		}
L_interrupt4:
;timer.c,127 :: 		}
L_interrupt3:
;timer.c,128 :: 		}
	GOTO       L_interrupt8
L_interrupt2:
;timer.c,130 :: 		count_flag = 0;                                                 // prevent going below zero
	CLRF       _count_flag+0
;timer.c,131 :: 		zero_flag = 1;                                                  // so indicate zero reached
	MOVLW      1
	MOVWF      _zero_flag+0
;timer.c,132 :: 		}
L_interrupt8:
;timer.c,133 :: 		}
L_interrupt1:
;timer.c,134 :: 		}
L_interrupt0:
;timer.c,135 :: 		}
L_end_interrupt:
L__interrupt39:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_debounce:

;timer.c,138 :: 		void debounce(){
;timer.c,139 :: 		Delay_ms(250);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      69
	MOVWF      R12+0
	MOVLW      169
	MOVWF      R13+0
L_debounce9:
	DECFSZ     R13+0, 1
	GOTO       L_debounce9
	DECFSZ     R12+0, 1
	GOTO       L_debounce9
	DECFSZ     R11+0, 1
	GOTO       L_debounce9
	NOP
	NOP
;timer.c,140 :: 		}
L_end_debounce:
	RETURN
; end of _debounce

_leds_off:

;timer.c,143 :: 		void leds_off(){
;timer.c,144 :: 		led_BLUE = 0;                                                               // RB0
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;timer.c,145 :: 		led_RED = 0;                                                                // RC5
	BCF        RC5_bit+0, BitPos(RC5_bit+0)
;timer.c,146 :: 		led_GREEN = 0;                                                              // RA4
	BCF        RA4_bit+0, BitPos(RA4_bit+0)
;timer.c,147 :: 		led_YELLOW = 0;                                                             // RA5
	BCF        RA5_bit+0, BitPos(RA5_bit+0)
;timer.c,148 :: 		}
L_end_leds_off:
	RETURN
; end of _leds_off

_Play_Sound:

;timer.c,151 :: 		void Play_Sound(){
;timer.c,154 :: 		for(buzz_count = 0; buzz_count < 1000; buzz_count++){                       // 1000 times 1 ms gives 1 second buzz
	CLRF       R1+0
	CLRF       R1+1
L_Play_Sound10:
	MOVLW      3
	SUBWF      R1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Play_Sound43
	MOVLW      232
	SUBWF      R1+0, 0
L__Play_Sound43:
	BTFSC      STATUS+0, 0
	GOTO       L_Play_Sound11
;timer.c,155 :: 		Buzzer = 1;
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
;timer.c,156 :: 		Delay_us(500);                                                          // adjust on/off times for preferred volume and frequency
	MOVLW      166
	MOVWF      R13+0
L_Play_Sound13:
	DECFSZ     R13+0, 1
	GOTO       L_Play_Sound13
	NOP
;timer.c,157 :: 		Buzzer = 0;
	BCF        RB1_bit+0, BitPos(RB1_bit+0)
;timer.c,158 :: 		Delay_us(500);                                                          // off for remainder of 1ms to give 1kHz
	MOVLW      166
	MOVWF      R13+0
L_Play_Sound14:
	DECFSZ     R13+0, 1
	GOTO       L_Play_Sound14
	NOP
;timer.c,154 :: 		for(buzz_count = 0; buzz_count < 1000; buzz_count++){                       // 1000 times 1 ms gives 1 second buzz
	INCF       R1+0, 1
	BTFSC      STATUS+0, 2
	INCF       R1+1, 1
;timer.c,159 :: 		}
	GOTO       L_Play_Sound10
L_Play_Sound11:
;timer.c,160 :: 		}
L_end_Play_Sound:
	RETURN
; end of _Play_Sound

_relays_on:

;timer.c,163 :: 		void relays_on(){
;timer.c,164 :: 		Relay_1 = 1;
	BSF        RA0_bit+0, BitPos(RA0_bit+0)
;timer.c,165 :: 		Relay_2 = 1;
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;timer.c,166 :: 		Relay_3 = 1;
	BSF        RA2_bit+0, BitPos(RA2_bit+0)
;timer.c,167 :: 		Lcd_Out(1,1,Message3);                                                      // "Timer ON: HH:MM"
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Message3+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;timer.c,168 :: 		}
L_end_relays_on:
	RETURN
; end of _relays_on

_time_zero:

;timer.c,171 :: 		void time_zero(){
;timer.c,173 :: 		count_flag = 0;                                                             // stop the countdown
	CLRF       _count_flag+0
;timer.c,174 :: 		fraction = 0;                                                               // set all time variables to zero
	CLRF       _fraction+0
;timer.c,175 :: 		seconds_units = 0;
	CLRF       _seconds_units+0
;timer.c,176 :: 		seconds_tens = 0;
	CLRF       _seconds_tens+0
;timer.c,177 :: 		minutes_units = 0;
	CLRF       _minutes_units+0
;timer.c,178 :: 		minutes_tens = 0;
	CLRF       _minutes_tens+0
;timer.c,179 :: 		hours = 0;
	CLRF       _hours+0
;timer.c,180 :: 		init_flag = 0;                                                              // show that we are not in initialised (time set) state
	CLRF       _init_flag+0
;timer.c,181 :: 		zero_flag = 0;
	CLRF       _zero_flag+0
;timer.c,182 :: 		Relay_1 = 0;                                                                // RA0
	BCF        RA0_bit+0, BitPos(RA0_bit+0)
;timer.c,183 :: 		Relay_2 = 0;                                                                // RA1
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;timer.c,184 :: 		Relay_3 = 0;                                                                // RA2
	BCF        RA2_bit+0, BitPos(RA2_bit+0)
;timer.c,185 :: 		leds_off();                                                                 // all LEDs off
	CALL       _leds_off+0
;timer.c,186 :: 		Lcd_Out(1,1,Message2);                                                      // "Timer OFF"
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Message2+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;timer.c,187 :: 		}
L_end_time_zero:
	RETURN
; end of _time_zero

_main:

;timer.c,189 :: 		void main() {
;timer.c,191 :: 		count_flag = 0;                                                             // no count down to start with
	CLRF       _count_flag+0
;timer.c,192 :: 		ANSEL = 0x00;                                                               // all digital
	CLRF       ANSEL+0
;timer.c,193 :: 		ANSELH = 0x00;                                                              // all digital
	CLRF       ANSELH+0
;timer.c,194 :: 		CM1CON0 = 7;                                                                // Disable Comparators
	MOVLW      7
	MOVWF      CM1CON0+0
;timer.c,195 :: 		TRISA = 0b11001000;                                                         // TRISA
	MOVLW      200
	MOVWF      TRISA+0
;timer.c,196 :: 		TRISB = 0b00000000;                                                         // TRISB
	CLRF       TRISB+0
;timer.c,197 :: 		TRISC = 0b11001111;                                                         // TRISC
	MOVLW      207
	MOVWF      TRISC+0
;timer.c,198 :: 		Relay_1 = 0;                                                                // RA0
	BCF        RA0_bit+0, BitPos(RA0_bit+0)
;timer.c,199 :: 		Relay_2 = 0;                                                                // RA1
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;timer.c,200 :: 		Relay_3 = 0;                                                                // RA2
	BCF        RA2_bit+0, BitPos(RA2_bit+0)
;timer.c,201 :: 		Lcd_Init();                                                                 // Initialize LCD
	CALL       _Lcd_Init+0
;timer.c,203 :: 		Play_Sound();
	CALL       _Play_Sound+0
;timer.c,204 :: 		relays_on();
	CALL       _relays_on+0
;timer.c,205 :: 		leds_off();                                                                 // all LEDs off
	CALL       _leds_off+0
;timer.c,206 :: 		led_RED = 1;
	BSF        RC5_bit+0, BitPos(RC5_bit+0)
;timer.c,207 :: 		Lcd_Cmd(_LCD_CLEAR);                                                        // Clear LCD
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;timer.c,208 :: 		Lcd_Out(2,1,Message5);                                                      // "Time Left: "
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _Message5+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;timer.c,209 :: 		OPTION_REG = 0x80 ;                                                         // bit7 Enable PORTB Pull UP
	MOVLW      128
	MOVWF      OPTION_REG+0
;timer.c,211 :: 		time_zero();                                                                // set time to zero and stop counting
	CALL       _time_zero+0
;timer.c,213 :: 		InitTimer1();                                                               // start 100ms timer Interrupt running
	CALL       _InitTimer1+0
;timer.c,214 :: 		update_flag = 1;                                                            // show initial value
	MOVLW      1
	MOVWF      _update_flag+0
;timer.c,216 :: 		while(1){                                                                   // main loop
L_main15:
;timer.c,218 :: 		while(!update_flag){                                                    // wait for interrupt routine to indicate display update needed
L_main17:
	MOVF       _update_flag+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L_main18
;timer.c,219 :: 		if(!Start_Stop_Button){                                             // and while waiting - check buttons
	BTFSC      RC0_bit+0, BitPos(RC0_bit+0)
	GOTO       L_main19
;timer.c,220 :: 		if(count_flag){                                                 // are we counting?
	MOVF       _count_flag+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main20
;timer.c,221 :: 		count_flag = 0;                                             // then stop counting
	CLRF       _count_flag+0
;timer.c,222 :: 		init_flag = 0;                                              // next buton press causes reset
	CLRF       _init_flag+0
;timer.c,223 :: 		}
	GOTO       L_main21
L_main20:
;timer.c,225 :: 		if(init_flag){                                              // are we in initialised state?
	MOVF       _init_flag+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main22
;timer.c,226 :: 		count_flag = 1;                                         // then start counting
	MOVLW      1
	MOVWF      _count_flag+0
;timer.c,227 :: 		relays_on();                                            // turn on all relays
	CALL       _relays_on+0
;timer.c,228 :: 		}
	GOTO       L_main23
L_main22:
;timer.c,230 :: 		time_zero();                                            // reset if not counting and not initialised with time set
	CALL       _time_zero+0
;timer.c,231 :: 		}
L_main23:
;timer.c,232 :: 		}
L_main21:
;timer.c,233 :: 		debounce();                                                     // prevent multiple triggers
	CALL       _debounce+0
;timer.c,234 :: 		while(!Start_Stop_Button);                                      // wait for button release
L_main24:
	BTFSC      RC0_bit+0, BitPos(RC0_bit+0)
	GOTO       L_main25
	GOTO       L_main24
L_main25:
;timer.c,235 :: 		update_flag = 1;                                                // show new value
	MOVLW      1
	MOVWF      _update_flag+0
;timer.c,236 :: 		}
L_main19:
;timer.c,237 :: 		if(!Min30_Button){                                                  // if RC1 goes low
	BTFSC      RC1_bit+0, BitPos(RC1_bit+0)
	GOTO       L_main26
;timer.c,238 :: 		leds_off();                                                     // all lEDs off
	CALL       _leds_off+0
;timer.c,239 :: 		led_GREEN = 1;
	BSF        RA4_bit+0, BitPos(RA4_bit+0)
;timer.c,240 :: 		fraction = 0;
	CLRF       _fraction+0
;timer.c,241 :: 		seconds_units = 0;
	CLRF       _seconds_units+0
;timer.c,242 :: 		seconds_tens = 1;
	MOVLW      1
	MOVWF      _seconds_tens+0
;timer.c,243 :: 		minutes_units = 0;
	CLRF       _minutes_units+0
;timer.c,244 :: 		minutes_tens = 0;
	CLRF       _minutes_tens+0
;timer.c,245 :: 		hours = 0;
	CLRF       _hours+0
;timer.c,246 :: 		debounce();                                                     // prevent multiple triggers
	CALL       _debounce+0
;timer.c,247 :: 		while(!Min30_Button);                                           // wait for button release
L_main27:
	BTFSC      RC1_bit+0, BitPos(RC1_bit+0)
	GOTO       L_main28
	GOTO       L_main27
L_main28:
;timer.c,248 :: 		update_flag = 1;                                                // show new value
	MOVLW      1
	MOVWF      _update_flag+0
;timer.c,249 :: 		init_flag = 1;                                                  // now in initialised state (time is set)
	MOVLW      1
	MOVWF      _init_flag+0
;timer.c,250 :: 		}
L_main26:
;timer.c,251 :: 		if(!Hour2_Button){                                                  // if RC2 goes low
	BTFSC      RC2_bit+0, BitPos(RC2_bit+0)
	GOTO       L_main29
;timer.c,252 :: 		leds_off();                                                     // all lEDs off
	CALL       _leds_off+0
;timer.c,253 :: 		led_YELLOW = 1;                                                 // RA5
	BSF        RA5_bit+0, BitPos(RA5_bit+0)
;timer.c,254 :: 		fraction = 0;
	CLRF       _fraction+0
;timer.c,255 :: 		seconds_units = 0;
	CLRF       _seconds_units+0
;timer.c,256 :: 		seconds_tens = 0;
	CLRF       _seconds_tens+0
;timer.c,257 :: 		minutes_units = 0;
	CLRF       _minutes_units+0
;timer.c,258 :: 		minutes_tens = 0;
	CLRF       _minutes_tens+0
;timer.c,259 :: 		hours = 2;
	MOVLW      2
	MOVWF      _hours+0
;timer.c,260 :: 		debounce();                                                     // prevent multiple triggers
	CALL       _debounce+0
;timer.c,261 :: 		while(!Hour2_Button);                                           // wait for button release
L_main30:
	BTFSC      RC2_bit+0, BitPos(RC2_bit+0)
	GOTO       L_main31
	GOTO       L_main30
L_main31:
;timer.c,262 :: 		update_flag = 1;                                                // show new value
	MOVLW      1
	MOVWF      _update_flag+0
;timer.c,263 :: 		init_flag = 1;                                                  // now in initialised state (time is set)
	MOVLW      1
	MOVWF      _init_flag+0
;timer.c,264 :: 		}
L_main29:
;timer.c,265 :: 		if(!Hour5_Button){                                                  // if RC2 goes low
	BTFSC      RA3_bit+0, BitPos(RA3_bit+0)
	GOTO       L_main32
;timer.c,266 :: 		leds_off();                                                     // all lEDs off
	CALL       _leds_off+0
;timer.c,267 :: 		led_BLUE = 1;                                                   // RB0
	BSF        RB0_bit+0, BitPos(RB0_bit+0)
;timer.c,268 :: 		fraction = 0;
	CLRF       _fraction+0
;timer.c,269 :: 		seconds_units = 0;
	CLRF       _seconds_units+0
;timer.c,270 :: 		seconds_tens = 0;
	CLRF       _seconds_tens+0
;timer.c,271 :: 		minutes_units = 0;
	CLRF       _minutes_units+0
;timer.c,272 :: 		minutes_tens = 0;
	CLRF       _minutes_tens+0
;timer.c,273 :: 		hours = 2;
	MOVLW      2
	MOVWF      _hours+0
;timer.c,274 :: 		debounce();                                                     // prevent multiple triggers
	CALL       _debounce+0
;timer.c,275 :: 		while(!Hour5_Button);                                           // wait for button release
L_main33:
	BTFSC      RA3_bit+0, BitPos(RA3_bit+0)
	GOTO       L_main34
	GOTO       L_main33
L_main34:
;timer.c,276 :: 		update_flag = 1;                                                // show new value
	MOVLW      1
	MOVWF      _update_flag+0
;timer.c,277 :: 		init_flag = 1;                                                  // now in initialised state (time is set)
	MOVLW      1
	MOVWF      _init_flag+0
;timer.c,278 :: 		}
L_main32:
;timer.c,279 :: 		if(!Oven_OFF){                                                      // if RC7 goes low
	BTFSC      RC7_bit+0, BitPos(RC7_bit+0)
	GOTO       L_main35
;timer.c,280 :: 		time_zero();                                                    // set time to zero and stop counting
	CALL       _time_zero+0
;timer.c,281 :: 		debounce();                                                     // prevent multiple triggers
	CALL       _debounce+0
;timer.c,282 :: 		}
L_main35:
;timer.c,283 :: 		if(zero_flag){                                                      // countdown just reached zero
	MOVF       _zero_flag+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main36
;timer.c,284 :: 		time_zero();                                                    // set time to zero and stop counting
	CALL       _time_zero+0
;timer.c,285 :: 		Play_Sound();                                                   // activate the buzzer
	CALL       _Play_Sound+0
;timer.c,286 :: 		}
L_main36:
;timer.c,287 :: 		}
	GOTO       L_main17
L_main18:
;timer.c,289 :: 		Lcd_Chr(2, 15, seconds_units + 48);                                     // print seconds
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      48
	ADDWF      _seconds_units+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;timer.c,290 :: 		Lcd_Chr(2, 14, seconds_tens + 48);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      48
	ADDWF      _seconds_tens+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;timer.c,291 :: 		Lcd_Chr(2, 13, ':');                                                    // print colon
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      58
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;timer.c,292 :: 		Lcd_Chr(2, 12, minutes_units + 48);                                     // print minutess
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      48
	ADDWF      _minutes_units+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;timer.c,293 :: 		Lcd_Chr(2, 11, minutes_tens + 48);                                      // print minutess
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      48
	ADDWF      _minutes_tens+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;timer.c,294 :: 		update_flag = 0;                                                        // prevent multiple printouts
	CLRF       _update_flag+0
;timer.c,295 :: 		}
	GOTO       L_main15
;timer.c,296 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
